= render partial: 'form_errors', locals: { object: @vehicle } if @vehicle.errors.any?
= form_with model: @vehicle, local: true, class: 'vehicles_form' do |f|
  .form-group.row
    = f.label :instructor_detail
    = f.select :instructor_detail_id,
               options_for_select(policy_scope(User).instructor.map{ |u| [u.full_name, u.instructor_detail&.id] }),
               {},
               class: 'custom-select'
  .form-group.row
    = f.label :make
    = f.text_field :make, class: 'form-control autocomplete', data: { autocomplete_type: :vehicles, autocomplete_for: :make }
  .form-group.row
    = f.label :model
    = f.text_field :model, class: 'form-control autocomplete', data: { autocomplete_type: :vehicles, autocomplete_for: :model }
  .form-group.row
    = f.label :registration
    = f.text_field :registration, class: 'form-control'
  .form-group.row
    = f.label :category
    = f.select :category, options_for_select(Vehicle::CATEGORIES.map { |v| [v, v] }, @vehicle.category), {}, class: 'custom-select form-control', multiple: true, size: 7
  .form-group.row
    = f.label :itp_date
    = f.date_field :itp_date, class: 'form-control'
  .form-group.row
    = f.label :rca_date
    = f.date_field :rca_date, class: 'form-control'
  .form-group.row
    = f.label :people_insurance_date
    = f.date_field :people_insurance_date, class: 'form-control'
  .form-group.row
    = f.label :first_aid_kit_date
    = f.date_field :first_aid_kit_date, class: 'form-control'
  .form-group.row
    = f.label :fire_extinguisher_date
    = f.date_field :fire_extinguisher_date, class: 'form-control'
  .form-group.row
    = f.label :fire_extinguisher_2_date
    = f.date_field :fire_extinguisher_2_date, class: 'form-control'
  .form-group.row
    = f.label :rovigneta_date
    = f.date_field :rovigneta_date, class: 'form-control'
  .form-group.row
    = f.label :itp_tahograf_date
    = f.date_field :itp_tahograf_date, class: 'form-control'
  .form-group.row
    = f.label :vest
    = f.check_box :vest, class: 'form-control'
  .form-group.row
    = f.label :strap
    = f.check_box :strap, class: 'form-control'
  = f.submit
